Home > Cannot Load > Cannot Load C:/php/php5apache2_4.dll Into Server: %1 Is Not A Valid Win32 Application.

Cannot Load C:/php/php5apache2_4.dll Into Server: %1 Is Not A Valid Win32 Application.

Contents

I just had to download the "thread safe" version of PHP instead of the "non thread safe" version. I had apache 2.3.4 (32-bit) from apachelounge.com and php 5.4.9 (32-bit) from windows.php.net installed on my Win 7 (64-bit). Is your installation located in C:/Program Files (x86)/PHP/PHP5.2.17 ?? Either way, I try to help. Source

but had to install the .Net 4 Framework. The only thing that would make sense to me - Many hosts only offer PHP 4, and people want to replicate what their host servers have. PD: you can see where your extensions directory is located looking for the text "extension_dir" in your php.ini, sometimes looks like: extension_dir = C:\php\extensions Hope this help you, if not please Faq May 20th, 2006,10:07 PM #3 SimonGreenhill View Profile View Forum Posts Visit Homepage  (retired) Devshed Supreme Being (6500+ posts)           https://www.apachelounge.com/viewtopic.php?t=566

Cannot Load C:/php/php5apache2_4.dll Into Server: %1 Is Not A Valid Win32 Application.

I have the same problem with Apache 2.2 and Thread-safe PHP 5.5 on Win 7 –Jindra Helcl Mar 12 '14 at 0:41 add a comment| 13 Answers 13 active oldest votes share|improve this answer answered Jul 2 '11 at 11:44 LazyOne 2,3741914 1 +1 thanks for all those points... –Sandeepan Nath Jul 6 '11 at 6:18 I downloaded apache The problem got fixed when I took the php 5 folder of teammate 1.

I've never used PHP, Apache or mysql. more stack exchange communities company blog Stack Exchange Inbox Reputation and Badges sign up log in tour help Tour Start here for a quick overview of the site Help Center Detailed It's in their thread-safe zip though. –GregInWI2 Feb 19 '14 at 17:44 add a comment| up vote 2 down vote Here is how I got it to GO: Created the folder PHP CLI is working and reports version 5.4.7 I downloaded php5apache2_4.dll-php-5.4-win32.zip from apachelounge and extracted the dll for 5.4.7 it to ~/php/ext/ When I add LoadModule php5_module "...../php/ext/php5apache2_4.dll" AddHandler application/x-httpd-php .php

There are hacks to get it to work, but the easiest way is to install an earlier version of Apache 2 Cheers, Jamie >_ My Music Blog | Losing weight @notsoheavyblog Cannot Load Php5apache2_4.dll Into Server My cat sat down on my laptop, now the right side of my keyboard types the wrong characters The different twins How to gain confidence with new "big" bike? Apache has a neat little option: an error log. http://stackoverflow.com/questions/8263297/cannot-load-php5apache2-2-dll If all of this is above and beyond you, then don't act so arrogant, realise that part of the fault may be you, and humbly listen to our advice.

This Youtube tutorial solved my problem. The problems came when trying to install PHP 5.3.6. (php-5.3.6-nts-Win32-VC9-x86). This is for a personal web server. Both products must also have been compiled using the same major versions of Microsoft Visual Studio/C++, such as VC6 (the legacy VC++ compiler), VC9=Studio 2008, or VC11=Studio 2012.

Cannot Load Php5apache2_4.dll Into Server

Join them; it only takes a minute: Sign up Here's how it works: Anybody can ask a question Anybody can answer The best answers are voted up and rise to the Two options: Download and install the thread safe version of PHP instead and you will get everything you need. Cannot Load C:/php/php5apache2_4.dll Into Server: %1 Is Not A Valid Win32 Application. asked 1 year ago viewed 3273 times active 1 month ago Upcoming Events 2016 Community Moderator Election ends Nov 22 Related 4PHP / Apache how to set session.cookie_domain from outside php.ini6Unexpected Download Php Tags: SMH View All (1) 0 Kudos Reply All Forum Topics Previous Topic Next Topic 14 REPLIES Marcin_Trzyna Occasional Advisor Options Mark as New Bookmark Subscribe Subscribe to RSS Feed Highlight

Join them; it only takes a minute: Sign up Here's how it works: Anybody can ask a question Anybody can answer The best answers are voted up and rise to the this contact form Need to get this going as I have code to write. If you are still with me, now download PHP 5.1.4 from PHP.net you want this file: php-5.1.4-Win32.zip Extract the contents of this file and move the contents to where you intend Still, it did not work:( Recalled seeing this before and decided to reboot computer Restarted (or started) the Apache Server Ran the test file again..

Make sure that you install Apache first... Once all my bit-depths and thread safety was matched up, Apache 2.4 and PHP 5.5 work well together on my Windows systems. I'm am admittedly a bit of a noob, but generally not a complete moron. have a peek here What I did was, I had followed the apache configuration part from teammate 1 and then copied the php5 directory from teammate 2 (who was on a 32-bit system with Windows

TimIgoe 2012-04-06 12:35:45 UTC #6 RGeiger said: I am loading everything on a laptop that I'm using to go back and forth to a college class. Thank you. If the non-thread safe version is important to what you want to accomplish, download the zip bundle of the thread safe version and take only the .dll you need from there.

Faq May 21st, 2006,12:54 AM #4 jabba_29 View Profile View Forum Posts Visit Homepage  Retired Devshed Supreme Being (6500+ posts)          

I've gotten very little feedback from that guide, even though it's had MANY users since I put it up in response to Apache 2.2.2 being released with a Windows installer. Execute bash script from vim Is adding the ‘tbl’ prefix to table names really a problem? Using Non-Thread Safe (NTS) did not work for me (or others), and the Thread Safe build comes bundled with the needed Apache Module for PHP "php5apache2_4.dll". I was able to access localhost in browser.

I thought that it should go into the Program Files folder of the C: drive, but that's not what his book said to do. What am I missing ? Not the answer you're looking for? Check This Out It did not make any difference.

I am just learning about MySQL, PHP, and Apache in a Server Side Scripting class. Count trailing truths Best way to remove old paint from door hinges Can clients learn their time zone on a network configured using RA? I had installed x64 version of Apache and x86 version of php. asked 5 years ago viewed 26443 times active 6 months ago Linked 0 Curl extension not working - PHP Warning: PHP Startup: Unable to load dynamic library php_curl.dll Related 0Apache 2

For the time being, things are working without me having any proper knowledge of those things :) but I will surely check those. –Sandeepan Nath Jul 6 '11 at 6:35 1 asked 4 years ago viewed 58073 times active 11 months ago Upcoming Events 2016 Community Moderator Election ends Nov 22 Linked 12 PHP 5.3.2, Where do I find php5apache2_2.dll? 2 php php.net/manual/en/install.windows.apache2.php The PHP download website also makes this point. As far as I'm concerned right now, it's sh*t!

I have had some experience with Apache2, PHP4, and MySQL. Back to top mowjiJoined: 07 Jul 2011Posts: 4 Posted: Fri 08 Jul '11 3:05 Post subject: Hi James, PHP -- I took V6/thread-safe version, because there was a warning label on Had to undo all the XAMPP bullkrap as it did bad things to my machine and would not install where I told it to go. But that is a separate problem for now.